Package ghidra.program.util

# Class LinearFunctionAddressCorrelation

java.lang.Object
ghidra.program.util.LinearFunctionAddressCorrelation

All Implemented Interfaces:
  `AddressCorrelation`

public class LinearFunctionAddressCorrelation extends Object implements AddressCorrelation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinearFunctionAddressCorrelation(Function sourceFunction, Function destinationFunction)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddressCorrelationRange`
  `getCorrelatedDestinationRange(Address sourceAddress, TaskMonitor monitor)`
  Returns the AddressRange of a set of addresses in the destination program that correlates to corresponding range in the source program.
  `String`
  `getName()`
  This method is no longer part of the API.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinearFunctionAddressCorrelation

    public LinearFunctionAddressCorrelation(Function sourceFunction, Function destinationFunction)

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `AddressCorrelation`
    This method is no longer part of the API. Leaving a default implementation to reduce breaking clients.
    Specified by:
      `getName` in interface `AddressCorrelation`
    Returns:
      the simple class name of the implementing class

  - ### getCorrelatedDestinationRange

    public AddressCorrelationRange getCorrelatedDestinationRange(Address sourceAddress, TaskMonitor monitor) throws CancelledException
    Description copied from interface: `AddressCorrelation`
    Returns the AddressRange of a set of addresses in the destination program that correlates to corresponding range in the source program.
    Specified by:
      `getCorrelatedDestinationRange` in interface `AddressCorrelation`
    Parameters:
      `sourceAddress` - the source program address
      `monitor` - the task monitor
    Returns:
      the destination program address range, or null if there is not address range mapped
    Throws:
      `CancelledException` - if cancelled